Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.type
Class OdfNonNegativeInteger

    java.lang.Object
      org.odftoolkit.odfdom.dom.type.OdfNonNegativeInteger

    public class OdfNonNegativeInteger

extends Object

DOM implementation of OpenDocument data type 'nonNegativeInteger'

Constructor Summary
`OdfNonNegativeInteger(int n)` Allocates an OdfNonNegativeInteger object representing the n argument

Method Summary
`int` | `intValue()` Returns the value of this OdfNonNegativeInteger object as a int primitive
`String` | `toString()` Returns a String Object representing this OdfNonNegativeInteger's value
`static OdfNonNegativeInteger` | `valueOf(String stringValue)` Returns an OdfNonNegativeInteger instance representing the specified String value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OdfNonNegativeInteger

    public OdfNonNegativeInteger(int n)

  Allocates an OdfNonNegativeInteger object representing the n argument

  Parameters:
    `n` - the value of the OdfNonNegativeInteger

Method Detail

### toString

    public String toString()

  Returns a String Object representing this OdfNonNegativeInteger's value

  Overrides:
    `toString` in class `Object`
  Returns:
    return a string representation of the value of this OdfNonNegativeInteger object

### valueOf

    public static OdfNonNegativeInteger valueOf(String stringValue)

  Returns an OdfNonNegativeInteger instance representing the specified String value

  Parameters:
    `stringValue` - a String value
  Returns:
    return an OdfNonNegativeInteger instance representing stringValue

### intValue

    public int intValue()

  Returns the value of this OdfNonNegativeInteger object as a int primitive

  Returns:
    the primitive int value of this OdfNonNegativeInteger object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.